aboutsummaryrefslogtreecommitdiff
path: root/src/linux-tools/cpupower.rc
diff options
context:
space:
mode:
Diffstat (limited to 'src/linux-tools/cpupower.rc')
-rwxr-xr-xsrc/linux-tools/cpupower.rc16
1 files changed, 16 insertions, 0 deletions
diff --git a/src/linux-tools/cpupower.rc b/src/linux-tools/cpupower.rc
new file mode 100755
index 0000000..88edaf7
--- /dev/null
+++ b/src/linux-tools/cpupower.rc
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+ start|restart)
+ status 'Setting cpupower rules' /usr/lib/systemd/scripts/cpupower || exit 1
+ ;;
+ *)
+ echo "usage: ${0##*/} {start|restart}" >&2
+ exit 1
+ ;;
+esac
+
+# vim:set ts=2 sw=2 ft=sh et: